module.exports = options => {
  return async function jwtErr(ctx, next) {
    const token = ctx.request.header.authorization;
    if (token) {
      try {
        // 解码token
        ctx.app.jwt.verify(token, options.secret);
        await next();
      } catch (error) {
        ctx.status = -1;
        ctx.body = {
          code: -1,
          message: error.message,
        };
        return;
      }
    } else {
      ctx.body = {
        code: -1,
        message: '没有token',
      };
      return;
    }
  };
};
